.container-pSeguridad {
  display: flex;
  flex-direction: column;
  gap: 5px;
  height: auto;
  width: 100%;
}

.container-pSeguridad h3 {
  margin-bottom: 30px;
}

.container-pSeguridad label {
  font-weight: 700;
}

.container-pSeguridad .cambiar_correo {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.container-pSeguridad .cambiar_correo .dato_correo {
  display: flex;
  flex-direction: column;
  gap: 10px;
  width: 60%;
}

.container-pSeguridad .cambiar_contrasenia {
  display: flex;
  height: auto;
}

.container-pSeguridad .cambiar_contrasenia .dato_contrasenia {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: 10px;
  width: 50%;
}

.container-pSeguridad .cambiar_contrasenia .dato_contrasenia p:last-of-type {
  font-size: 14px;
}

.container-pSeguridad .cambiar_contrasenia .dato_contrasenia .validarContrasenia {
  display: flex;
  flex-direction: column;
  gap: 5px;
  align-items: flex-start;
}

.container-pSeguridad .cambiar_contrasenia .dato_contrasenia .progress-bar {
  position: relative;
  width: 70%;
  height: 10px;
  background: var(--background);
  border-radius: var(--border-radius-card);
}

.container-pSeguridad .cambiar_contrasenia .dato_contrasenia .progress-bar::before {
  content: " ";
  position: absolute;
  display: flex;
  align-items: center;
  width: var(--width);
  min-width: 0;
  max-width: 100%;
  height: 10px;
  border-radius: var(--border-radius-card);
  background: var(--color-progress);
  transition: width .5s ease, background 1s ease;
}

.container-pSeguridad .cambiar_contrasenia .dato_contrasenia .nivelSeguridad {
  font-size: 14px;
}

.container-pSeguridad .cambiar_contrasenia .dato_contrasenia .seguridad {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.container-pSeguridad .cambiar_contrasenia .button-sugerencia {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  justify-content: flex-end;
  width: 50%;
}

.container-pSeguridad .cambiar_contrasenia .button-sugerencia.mostrarSugerencia {
  justify-content: space-between;
}

.container-pSeguridad .cambiar_contrasenia .button-sugerencia .sugerencia {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.container-pSeguridad .eliminarCuenta {
  display: flex;
  flex-direction: column;
  gap: 20px;
  align-items: flex-start;
}

/* Dialog Eliminar cuenta */
.container-pSeguridad~.dialog-container-general .modal-container .container-eliminar {
  display: grid;
  grid-template-columns: 20% 75%;
  justify-content: space-evenly;
  padding-top: 20px;
}

.container-pSeguridad~.dialog-container-general .modal-container .container-eliminar .icono {
  height: 100%;
  width: 100%;
  display: grid;
  place-items: center;
  font-size: 48px;
}

.container-pSeguridad~.dialog-container-general .modal-container .container-eliminar .advertencia-confirmar {
  display: flex;
  flex-direction: column;
  gap: 10px;
  width: 90%;
}

.container-pSeguridad~.dialog-container-general .modal-container .container-eliminar .advertencia-confirmar p {
  text-align: justify;
}

.container-pSeguridad~.dialog-container-general .modal-container .container-eliminar .advertencia-confirmar input {
  width: 100%;
}
